ejabberd (14.05-1~experimental1) experimental; urgency=low

  * Import Upstream version 14.05
  * Declare package source format as 3.0 (quilt)
  * Switch to debhelper 9
  * Drop obsolete patches for older releases
  * Add new patches to make 14.05 build and work
  * Drop custom scripts in favour of upstream ones
  * Drop custom config+init in favour of upstream ones
  * Adjust packaging to new upstream release
  * Update (Build-)Depends and Standards-Version
  * Update copyright
  * Update maintainer scripts
  * Update TODO
  * Update NEWS
  * Fix watch file
  * Clean up packaging

 -- Philipp Huebner <debalance@debian.org>  Sat, 17 May 2014 14:22:46 +0200

ejabberd (2.1.11-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release (closes: #654853).
  * Update mod_admin_extra module to revision 1126.
  * Provide custom implementation of xmerl_regexp:sh_to_awk/1
    (closes: #670307).
  * Refresh reopen-log.patch
  * Add use_dpkg_buildflags.patch (thanks to Simon Ruderich,
    closes: #664034).
  * Explain the "fqdn" configuration file option which has to be used
    in certain setups for the SCRAM-SHA-1 to work with complying clients.
    Mention this fact in the NEWS file. (Closes: #706590)
  * Add upstream patch fixing incorrect escaping of a single quote character
    in SQL queries generated by the ODBC storage backend (closes: #708151,
    thanks to Vladislav Chugunov).

  [ Gerfried Fuchs ]
  * Add upstream patches disabling SSLv2 and weak cyphers in TLS driver
    (closes: #722105).
  * New upstream release made these patches obsolete:
    relax-digest-uri-handling.patch, fix-parsing-split-https-requests.patch,
    fix-odbc-escaping.patch

 -- Gerfried Fuchs <rhonda@debian.org>  Thu, 17 Oct 2013 12:57:47 +0200

ejabberd (2.1.10-5) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Add patch fixing parsing of optional parameters in SCRAM SHA-1 headers
    (closes: #705613, thanks to Stephen Röttger for both writing the
    original patch and backporting it to 2.1.10).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Thu, 25 Apr 2013 15:31:59 +0000

ejabberd (2.1.10-4) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Do not run ejabberdctl as root in prerm and logrotate scripts
    (closes: #691125, thanks to Michael Stapelberg and Felix Geyer).
  * Add upstream patch fixing receiving JPEG vCard photos via LDAP
    (closes: #660186).
  * Add upstream patch fixing parsing HTTPS requests split into
    multiple packets (closes: #698309).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 16 Feb 2013 16:59:21 +0000

ejabberd (2.1.10-3) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Provide custom implementation of xmerl_regexp:sh_to_awk/1
    (closes: #670307).
  * Add use_dpkg_buildflags.patch (thanks to Simon Ruderich,
    closes: #664034).
  * Add relax-digest-uri-handling.patch (closes: #654853).
  * Add Slovak translation (thanks to Slavko, closes: #647115).
  * Add Italian translation (thanks to Beatrice Torracca, closes: #682987).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 20 May 2012 14:51:12 +0400

ejabberd (2.1.10-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * Upload to unstable (closes: #657759).
  * Remove code for #368414 from postinst, 1.1.1-3 is ancient history
    (closes: #656826)

  [ Konstantin Khomoutov ]
  * Update Dutch translation (thanks to Jeroen Schot, closes: #657590).
  * Enable hardened building of C drivers by using dpkg-buildflags
    (thanks to Moritz Muehlenhoff, closes: #657525).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Wed, 01 Feb 2012 01:50:40 +0400

ejabberd (2.1.10-1) experimental; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Update mod_admin_extra to revision 1123.

  [ Gerfried Fuchs ]
  * Bump erlang-dev Build-Depends version to >= 1:15.b.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 08 Jan 2012 11:45:38 +0100

ejabberd (2.1.9-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove obsoleted version.patch.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Mon, 03 Oct 2011 20:27:12 +0400

ejabberd (2.1.8-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove patch fixing DSA-2248-1 (CVE-2011-1753)
    as the fix is now integrated upstream.
  * Drop patches from OLPC project implementing @recent@ and @online@
    shared roster groups; support for @online@ is now intergated upstream.
  * Add patch fixing version string where applicable (EJAB-1484).
  * Bump standards version to 3.9.2

  [ Gerfried Fuchs ]
  * Add recommended targets build-arch and build-indep to debian/rules.
  * Fix spelling error in manpage noticed by lintian.

 -- Gerfried Fuchs <rhonda@debian.org>  Sun, 11 Sep 2011 16:16:55 +0200

ejabberd (2.1.6-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable entity expansion completely to prevent against
    billion laugs DoS attack (CVE-2011-1753).

 -- Nico Golde <nion@debian.org>  Mon, 30 May 2011 23:53:46 +0200

ejabberd (2.1.6-2) unstable; urgency=low

  * Artifically set HOME environment variable in debian/rules
    if it is not set--this is required for the erlexec binary
    to be able to run successfully (closes: #620683).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Wed, 06 Apr 2011 01:32:42 +0400

ejabberd (2.1.6-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete patches.
  * Update mod_admin_extra to revision 1106.
  * Conflict with ejabberd-mod-shared-roster-ldap which is now included.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Tue, 14 Dec 2010 17:45:08 +0300

ejabberd (2.1.5-3) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Add patch http-poll-binary-parse.patch fixing EJAB-1325 (closes: #601094).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 23 Oct 2010 17:05:48 +0400

ejabberd (2.1.5-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * New debconf translation:
    - Danish by Joe Hansen (closes: #592271)
  * Run debconf-updatepo on all other translations.

  [ Konstantin Khomoutov ]
  * Remove /var/run/ejabberd on package purge (LP: #615473).
  * Add mod-vcard-ldap-photo.patch fixing EJAB-1258 (LP: #613854).
  * Bump standards version to 3.9.1.

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 15 Sep 2010 21:03:06 +0200

ejabberd (2.1.5-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove obsolete erlang-otp-r14-ssl.patch
  * Refresh patches: reopen-log.patch, shared_roster_online.patch
    shared_roster_recent.patch
  * Bump standards version to 3.9.0.
  * Remove COPYING file installed by upstream Makefile
  * Remove autogenerated src/ejabberd.init
  * Add upstream patch fixing EJAB-1284 (closes: #591431).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Tue, 03 Aug 2010 19:55:25 +0400

ejabberd (2.1.4-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Do not prevent ejabberd_debug from being installed and used
    as this was implemented upstream as the default behavior.
  * Add build dependency on erlang-parsetools.
  * Add 'sharedscripts' option to logrotate config.
  * Update VCS references in control file to point to git.deb.at.
  * Add group sticky bit to permissions on the log directory --
    this should make log files owned by the group "adm".
  * Explicitly set umask to 027 before starting erl.
  * Add patch with fix for EJAB-953 (closes: #590389).
  * Fix call to setup_ejabberd in postinst.
  * Fix owner/permissions for log files when upgrading.
  * Minor fixes and clarifications in ejabberdctl.8 manual page.
  * Refresh reopen-log.patch

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Mon, 26 Jul 2010 20:36:14 +0400

ejabberd (2.1.3-2) unstable; urgency=low

  [ Gerfried Fuchs ]
  * New patch fix_examples fixing two example scripts.
  * Call set -e explicitly in debian/config instead of on the hashbang line.

  [ Konstantin Khomoutov ]
  * Add reopen-log.patch which fixes reopening of
    ejabberd log files by `ejabberdctl reopen-log` (closes: #580951).
  * Replace ${erlang-nox:Depends} with ${erlang:Depends}
    in debian/control to generate a minimal list of Erlang
    packages ejabberd depends on (closes: #581909).
  * Reduce the set of Erlang packages required to build ejabberd.
  * Disable ejabberd_debug module and exclude it from packaging.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 20 May 2010 21:20:27 +0200

ejabberd (2.1.3-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
  * Remove obsolete c2s-p1-fsm.patch
  * Remove obsolete ejabberdctl-help-dashes.patch
  * Update mod_admin_extra to revision 1078
  * Refresh shared_roster_recent.patch
  * Refresh shared_roster_online.patch
  * Clarify how to do mixed IPv4/IPv6 setup of ejabberd listeners
    as suggested by Marc Dequènes in the discussion of #573801.

  [ Gerfried Fuchs ]
  * Remove Torsten Werner from maintainer field on his own wish - thanks for
    your work so far! (closes: #578722)
  * Promote Konstantin to Maintainer to best fit reality. Enjoy. :)

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Tue, 06 Apr 2010 13:00:03 +0400

ejabberd (2.1.2-3) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Tighten dependency on debhelper to >= 7.3~
    (closes: #569152).
  * Add global option max_fsm_queue set to 1000
    to the configuration file (amendment to the fix for #568383).
  * Use $remote_fs facility in init-script as ejabberd uses files
    under /urs (fixes lintian error).
  * Set place for Erlang crash dumps in ejabberdctl.

  [ Gerfried Fuchs ]
  * Bump Standards-Version to 3.8.4.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 28 Feb 2010 22:11:26 +0300

ejabberd (2.1.2-2) unstable; urgency=high

  * Integrate upstream patches for EJAB-1173,
    fixing CVE-2010-0305 (closes: #568383).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Thu, 04 Feb 2010 03:38:02 +0300

ejabberd (2.1.2-1) unstable; urgency=low

  [ Gerfried Fuchs ]
  * New upstream release.
  * Improve debian/copyright file.

  [ Konstantin Khomoutov ]
  * Refresh shared_roster_online.patch and shared_roster_recent.patch
  * Add ejabberdctl-help-dashes.patch which allows to spell commands
    passed to `ejabberdctl help` using "-" as a word separator.
  * Document connected-users-info and stop-kindly ejabberdctl commands.
  * Document --concurrent option of ejabberdctl.
  * Shorten Vcs-Browser string in debian/control

 -- Gerfried Fuchs <rhonda@debian.at>  Wed, 20 Jan 2010 20:56:15 +0100

ejabberd (2.1.1-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release.
    This also fixes a bug in ejabberdctl (closes: #560824).
  * Update mod_admin_extra to upstream revision 1049.
  * Remove obsolete patches (those backported from 2.1.1).
  * Suggest imagemagick instead of recommending it (closes: #560889).

  [ Gerfried Fuchs ]
  * Switch Vcs-* fields to point to new git repository. All the conversion
    work was actually done by Konstantin.
  * Call debconf-updatepo.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 14 Jan 2010 20:40:53 +0100

ejabberd (2.1.0-2) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * Set EJABBERD_DOC_PATH in the ejabberd script
  * Pull the following patches from upstream:
    - routing-speedup.patch: Speeds up routing of messages (EJAB-1114)
    - mod-pubsub-odbc.patch: Fixes service discovery browsing with PEP-capable
      clients (EJAB-1115)
    - req-starttls-zlib-clash.patch: Fix failure of the c2s listener
      (EJAB-1118, closes: 559727)
    - http-tls-leaks.patch: Fix memory and port leaks in web administration
      interface (EJAB-1119, closes: #547306)
    - multiple-pep-last-items.patch: Do not send PEP last items multiple
      times (EJAB-1116)

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 10 Dec 2009 23:45:09 +0100

ejabberd (2.1.0-1) unstable; urgency=low

  [ Konstantin Khomoutov ]
  * New upstream release (Closes: #519858).
    This also adds support for LDAPS upstream (Closes: #526145).
  * Do not depend on cdbs anymore, port debian/rules to dh+quilt,
    remove build dependency on patchutils, use erlang-depends.
  * Bump debhelper version to 7, standards base to 3.8.3
  * Depend on erlang R13B.
  * Recommend imagemagick (for captcha support).
  * Remove deprecated patches (ssl.patch patch, dynamic_compile_loglevel.patch,
    ldaps.patch, update.patch, proxy.patch, caps.patch, convert.patch,
    s2s.patch).
  * Replace mod_ctlextra with mod_admin_extra.
  * Use upstream inetrc file.
  * Bring debian/ejabberd.cfg and ejabberdctl in sync with upstream.
  * Update ejabberdctl manual page.
  * Provide NEWS file.
  * Rework README.Debian:
    * Group all information into sections.
    * Describe issues with epam binary (Closes: #502791).
    * Discuss how to use DBMS backends (Closes: #540915, #507144).
    * Discuss upgrading from 2.0.x series.
  * Implement PID file management (Closes: #519858).
  * Make logrotate process all files matching "*.log".
  * Improve init script:
    * Make init script LSB-compliant.
    * Implement "live" target which allows to run ejabberd in foreground.
  * Make captcha.sh use bash explicitly.
  * Rework node-generation for ejabberdctl to fix ejabberd's atom table
    overflows while preserving the possibility to run several versions
    of ejabberdctl concurrently as before.
  * Add webadmin patch restoring compatibility with Erlang/OTP <= R12B-4.
  * Integrate upstream patch for EJAB-1106.
  * Add upstream patch for EJAB-1098.
  * Add upstream patch for EJAB-1045.
  * Add Konstantin Khomoutov to uploaders.
  * Add Japanese debconf translation (thanks to Hideki Yamane)
    (Closes: #558071).

  [ Gerfried Fuchs ]
  * Build-Depend on po-debconf so po2debconf can be called.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 04 Dec 2009 18:22:49 +0100

ejabberd (2.0.5-2) unstable; urgency=low

  * Added myself to Uploaders.
  * Added debian/README.source about quilt.
  * Updated Standards-Version to 3.8.2.
  * Lintian hints:
    + Remove +ssh from Vcs-Svn.
    + Remove path from ejabberdctl in postinst.
  * Rewrote Description a little bit.

 -- Gerfried Fuchs <rhonda@debian.at>  Fri, 07 Aug 2009 14:37:42 +0200

ejabberd (2.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload to fix compatibility with Erlang/OTP R13B
    (dynamic_compile_loglevel.patch added).
  * Raise requirement for the erlang-dev package version to >= 1:13.b
    to simplify transition of Debian to Erlang/OTP R13B.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 10 May 2009 01:32:38 +0400

ejabberd (2.0.5-1) unstable; urgency=high

  * new upstream release
    - Fixes 'CVE-2009-0934: Cross-site scripting (XSS) vulnerability in
    ejabberd' (Closes: #520852)
    - Fixes 'starttls hangs' (Closes: #516528, #518079)
  * Disable patch ldaps.patch because it does not apply any more.
  * Refresh all other patches.

 -- Torsten Werner <twerner@debian.org>  Sun, 05 Apr 2009 22:53:46 +0200

ejabberd (2.0.3-2) unstable; urgency=low

  * Remove Sergei from Uploaders field as requested by himself.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 21:47:35 +0100

ejabberd (2.0.3-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Jan 2009 19:44:58 +0300

ejabberd (2.0.2-3) experimental; urgency=low

  * Merge changes from version 2.0.1-5 from unstable.
  * Document ERL_OPTIONS in /etc/default/ejabberd and README.Debian.
    (Closes: #503012)

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Jan 2009 17:19:28 +0100

ejabberd (2.0.2-2) experimental; urgency=low

  * Added option {keepalive, true} to ssl socket in LDAPS support patch.
    This helps not to loose long-term connections to LDAPS server (thanks
    to Alex Mauer for a suggestion).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Sep 2008 19:14:17 +0400

ejabberd (2.0.2-1) experimental; urgency=low

  * New upstream release.
  * Protected hostname -s and hostname -d calls in postinst script to prevent
    its failure in case when hostname is incorrectly configured. It's harmless
    to replace hostname by "localhost" because it's used only for generating
    a reference SSL certificate which is to be replaced by a proper one.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 29 Aug 2008 21:15:26 +0400

ejabberd (2.0.1-6) unstable; urgency=high

  * Add backported patch pubsub_upgrade_tables.patch that fixes the broken
    upgrade of ejabberd from Etch. (Closes: #507615)

 -- Torsten Werner <twerner@debian.org>  Sat, 07 Feb 2009 20:02:20 +0100

ejabberd (2.0.1-5) unstable; urgency=low

  * Added Brazilian Portuguese debconf templates translation
    (closes: #501751).
  * Protected hostname -s and hostname -d calls in postinst script to prevent
    its failure in case when hostname is incorrectly configured. It's harmless
    to replace hostname by "localhost" because it's used only for generating
    a reference SSL certificate which is to be replaced by a proper one.
  * Added option {keepalive, true} to ssl socket in LDAPS support patch.
    This helps not to loose long-term connections to LDAPS server (thanks
    to Alex Mauer for a suggestion).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Oct 2008 09:48:34 +0400

ejabberd (2.0.1-4) unstable; urgency=low

  * Added Basque debconf templates translation (closes: #492129).
  * Removed unneeded package grep-dctrl from build-dependencies (a call to
    erlang-depends has replaced it long time ago).
  * Updated Czech debconf templates translation (closes: #492495).
  * Added a unique suffix to ejabberdctl nodes to allow several commands to
    run in parallel.
  * Fixed a bug in building mod_http_fileserver, which made it completely
    unusable.
  * Added missing description of reopen-weblog ejabberdctl command to
    ejabberdctl.8 manpage.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Aug 2008 14:10:00 +0400

ejabberd (2.0.1-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Synced mod_ctlextra module with upstream (closes: #488991).
  * Updated Portuguese debconf templates translation (closes: #487822).
  * Switched off autoupdating debian/control by cdbs to make
    build-dependencies consistent.
  * Added Swedish debconf templates translation (closes: #490681).
  * Updated Russian debconf templates translation (closes: #491424).
  * Updated Spanish debconf templates translation.
  * Added Galician debconf templates translation (closes: #490855).
  * Added Vietnamese debconf templates translation (closes: #491056).
  * Cleaned up LDAPS patch and fixed a bug with leaking SSL sockets
    (closes: #490059).
  * Don't return from init script until at least Erlang VM is started to make
    subsequent checks for running ejabberd simpler.
  * Added an additional check for starting Erlang VM and don't try to register
    admin user if ejabberd isn't started. This allows to shorten waiting
    interval during upgrade if it isn't desirable to start ejabberd
    automatically (closes: #462357).
  * Added Turkish debconf templates translation (closes: #491493).
  * Added Finnish debconf templates translation (closes: #491652).
  * Install SQL database schemas to examples directory.
  * Fixed crash in checking relational DB modules (closes: #491664).

  [ Torsten Werner ]
  * Updated German debconf templates translation.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 23 Jul 2008 16:32:03 +0400

ejabberd (2.0.1-2) unstable; urgency=low

  * Improved a patch which removes message rejecting intervals for
    server-to-server recipients.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Jun 2008 10:07:29 +0400

ejabberd (2.0.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refreshed patches, removed those which were included into upstream.
  * Added _2 suffix to get-orig-source target in debian/rules (temporarily).
  * Fixed debian/watch to cover current release version (with _2 suffix).
  * Fixed mod_ctlextra to work with ejabberd 2.0.1 (changed session record
    definition).
  * Added new ejabberdctl commands (both new in 2.0.1 and in mod_ctlextra)
    to ejabberdctl manual page.
  * Changed restart branch in init.d script to perform full Erlang VM stop
    and start again (this allows to apply changes in /etc/default/ejabberd
    if any during ejabberd restart).
  * Clarified -sname and -name Erlang option usage by ejabberd and ejabberdctl
    in their manual pages (closes: #482904).
  * Added BUGS section to ejabberd manual page with a short description of
    the most common cases of ejabberd start failures (closes: #481819).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Jun 2008 16:32:18 +0400

ejabberd (2.0.0-7) unstable; urgency=low

  [ Sergei Golovan ]
  * Installed eldap.hrl header. It is necessary to build some external modules
    for ejabberd.
  * Moved headers which are in subdirectories of src directory to
    corresponding subdirectory of /usr/lib/ejabberd/include/ as they are
    usually included with subdirectory prepended.
  * Included a patch which adds LDAPS support and added {ldap_encrypt} and
    {ldap_port} example options to ejabberd config file (closes: #477918).
  * Added an additional info on how to use ejabberd headers to README.Debian.
  * Changed section in doc-base registration file to Network/Communication.
  * Don't use HOSTNAME variable in postinstall and debconf config scripts to
    prevent confusion with the same bash standard environment variable.
  * Removed empty preinstall maintainer script.
  * Fixed minus signs in ejabberd and ejabberdctl manual pages.
  * Updated Russian debconf templates translation.

  [ Torsten Werner ]
  * Updated German debconf templates translation.
  * Update Vcs headers in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 May 2008 23:30:17 +0400

ejabberd (2.0.0-6) unstable; urgency=low

  * Replaced a patch for proxy65 module with nicer one (thanks to Evgeniy
    Khramtsov).
  * Added a patch for S2S module to make STARTTLS working with Erlang R12B.
  * Added a patch by upstream fixes crash when browsing the Update page in
    Erlang R12B.
  * Fixed ODBC patch to work with Erlang R11B also.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Mar 2008 15:10:42 +0300

ejabberd (2.0.0-5) experimental; urgency=low

  * Turned unnecessary error messages in mod_caps module into debug messages.
  * Added a few patches to shared roster module and also added mod_ctlextra
    (a module which offers many more or less useful commands to ejabberdctl)
    following the discussion in the following thread:
    http://lists.debian.org/debian-edu/2008/03/msg00017.html

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 07 Mar 2008 20:30:07 +0300

ejabberd (2.0.0-4) experimental; urgency=low

  * Updated French debconf templates translation (closes: #468788).
  * Disabled epoll by default in /etc/default/ejabberd.
  * Increased default maximum number of conference room occupants to 500.
    Given increasing popularity of XMPP old default value 200 is too low.
  * Disabled SMP support in ejabberd by default. It isn't necessary in most
    cases but can be less reliable.
  * Enabled PAM authentication support (yet needs to be refined).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 03 Mar 2008 22:54:48 +0300

ejabberd (2.0.0-3) experimental; urgency=low

  * Increased S2S timeouts. Defaults seems to be too short.
  * Removed a 5-minute delay between a remote server connect failure and the
    next connection attempt. It causes more harm than good.
  * Changed ownership of ejabberd config directory and SSL certificate to
    root:ejabberd and mode to to make sure they aren't overwritten by running
    ejabberd.
  * Remove an SSL certificate on package purge. It is assumed that it's a
    generated certificate, so the removal is unconditional.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Feb 2008 10:40:03 +0300

ejabberd (2.0.0-2) experimental; urgency=low

  * Saved a little bit of resources by not starting ssl module which isn't
    used by ejabberd anymore.
  * Added several new variables to ejabberd script and default settings
    following upstream.
  * Added 'debug' option to ejabberdctl script which attaches Erlang shell to
    already running ejabberd server.
  * Removed useless README and /etc/ejabberd/ejabberdctl.cfg files from the
    binary package (/etc/ejabberd/ejabberdctl.cfg content is moved to
    /etc/default/ejabberd).
  * Added a patch which makes proxy65 module working with Erlang R12B.
  * Fixed position of override section in ejabberd.cfg and uncommented proxy65
    module (with adding restrictive options).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 22 Feb 2008 13:51:14 +0300

ejabberd (2.0.0-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Feb 2008 18:36:46 +0300

ejabberd (1.1.4-6) unstable; urgency=low

  * Loosened build dependencies to make backporting to etch easier.
  * Added a requirement for $remote_fs into init.d script because ejabberd
    needs mounted /usr to run.
  * Added a patch which allows ODBC to work with Erlang R12B.
  * Clarified debconf messages (closes: #390206).
  * Added a notice about hostname change to README.Debian and included erlang
    node conversion utility to the binary package (closes: #457097).
  * Added a patch which allows to use certificate chain files for encrypted
    connections (closes: #466676).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 21 Feb 2008 18:21:32 +0300

ejabberd (1.1.4-5) unstable; urgency=low

  * Do not remove /etc/ejabberd on package purge to preserve user files if
    any (closes: #460459).
  * Bumped standards version to 3.7.3.
  * Added homepage header to debian control file.
  * Fixed unnecessary space in doc-base.
  * Changed default setting for nicknames which can be registered to 'none'
    (which effectively forbids registration) as this setting is more safe
    (closes: #458627).
  * Fixed name section of ejabberd and ejabberdctl manual pages.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 13 Jan 2008 01:37:19 +0300

ejabberd (1.1.4-4) unstable; urgency=low

  * Added a patch which fixes access rule check in mod_irc.
  * Added a patch which fixes ejabberd build using erlang R12B-0.
  * Increased number of erlang ports in /etc/ejabberd/default. The default
    value of 1024 allows too few simultaneous connections (from 300 to 500
    for both clients and servers depending of whether they use SSL or traffic
    compression).
  * Fixed shell backquotes in ejabberd and ejabberdctl manual pages. Also
    bumped their versions to 1.1.4.
  * Added a note about binding to privileged ports to README.Debian.
  * Fixed a race condition between starting log handler and port listener.
    Otherwise, error reports about port binding can't get into log file
    (closes: #458518).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Jan 2008 17:09:57 +0300

ejabberd (1.1.4-3) unstable; urgency=low

  * Applied a patch by upstream which fixes usage of relational databases in
    ejabberd modules while using internal or LDAP-based authentication
    (closes: #446848). The patch was adopted from ejabberd SVN by Andreas
    Oberritter.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 Oct 2007 10:34:07 +0400

ejabberd (1.1.4-2) unstable; urgency=low

  * Moved ejabberd application directory from
    /usr/lib/erlang/lib/ejabberd-1.1.4 to /usr/lib/ejabberd to avoid conflicts
    of modules names (specifically, eldap module conflicts with shiiped in Yxa
    SIP server).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Oct 2007 10:07:19 +0400

ejabberd (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/watch file.
  * Removed ejabberd_sm.diff patch. This makes ejabberd using recommended
    error condition <service-unavailable/> instead of
    <feature-not-implemented/>. There was sufficient time to fix broken
    clients.
  * Removed perl-path.diff, shaper.diff, ejabberd_http_poll.diff, eldap.diff,
    sql_escape.diff patches since they are included into upstream release.
  * Redefined HOME environment variable to fix Erlang compiler warnings in
    case when HOME points to an existent inaccessible directory.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Sep 2007 14:25:16 +0400

ejabberd (1.1.2-10) unstable; urgency=low

  [ Sergei Golovan ]
  * Added Sergei Golovan <sgolovan@debian.org> to uploaders list.
  * Included a fix for IE bug (it sends zero length queries which cause
    error 404) from http://www.jabber.ru/bugzilla/attachment.cgi?id=205
    (closes: #428864).
  * Included experimental Personal Eventing via Pubsub (XEP-0163) support
    using patch from https://svn.process-one.net/ejabberd-modules/pep/.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 27 Aug 2007 20:19:43 +0400

ejabberd (1.1.2-9) unstable; urgency=low

  [ Sergei Golovan ]
  * Added binary package dependency on erlang-abi-* virtual package to
    prevent installation of ejabberd which uses incompatible erlang ABI.
  * Included ejabberd headers to binary package to make building external
    modules for ejabberd possible (closes: #428081).

 -- Torsten Werner <twerner@debian.org>  Sun, 10 Jun 2007 19:19:20 +0400

ejabberd (1.1.2-8) unstable; urgency=high

  [ Torsten Werner ]
  * Remove redundant Build-Depends.
  * Use erlang-depends for calculating Depends now.
  * Change email address of Christophe Romain in man page as requested by
    himself.
  * Add XS-X-Vcs-Svn header to debian/control.

  [ Sergei Golovan ]
  * Security fix, mentioned in 1.1.2-5 was backported from SVN and not
    from 1.1.3, where it is incomplete (the bug affects ejabberd only if
    users' rosters are stored in relational database, and not in Mnesia,
    which is default).
  * Moved patches to debian directory. This fixes cleaning up
    after build process. (Closes: #424193)
  * Moved creating user ejabberd from preinst to postinst because preinst
    cannot rely on existence of adduser package.
  * Added a comment to ejabberd.cfg concerning UTF-8 encoding.
  * Unfuzzied one string in russian debconf translation (closes: #408410).
  * Removed annoying message about existing SSL certificate.
  * Fixed references to ejabberd installation and operation guide in manual
    pages (closes: #416050).
  * Backup ejabberd database on package removal or upgrade to a subdirectory
    of /var/backups instead of /var/tmp (closes: #409916).
  * Do not change /etc/ejabberd, /var/lib/ejabberd and /var/log/ejabberd
    ownership and permissions if they are overridden using dpkg-statoverride
    (closes: #416178).
  * Conditionally source /usr/share/debconf/confmodule in postrm script as
    debconf isn't an essential package (closes: #416743).
  * Included Portuguese translation of debconf messages (closes: #416779).

 -- Torsten Werner <twerner@debian.org>  Fri, 18 May 2007 13:44:53 +0200

ejabberd (1.1.2-7) unstable; urgency=low

  * Rebuild the package with newer erlang.

 -- Torsten Werner <twerner@debian.org>  Fri, 13 Apr 2007 20:14:12 +0200

ejabberd (1.1.2-6) unstable; urgency=high

  [ Sergei Golovan ]
  * Fixed users database and logs directoriy permissions (closes: #412583).

 -- Torsten Werner <twerner@debian.org>  Tue, 27 Feb 2007 08:28:31 +0300

ejabberd (1.1.2-5) unstable; urgency=high

  * apply security fix backported from version 1.1.3
    (http://ejabberd.jabber.ru/ejabberd-1.1.3); thanks to Sergei

 -- Torsten Werner <twerner@debian.org>  Sat,  3 Feb 2007 23:08:08 +0100

ejabberd (1.1.2-4) unstable; urgency=medium

  [ Sergei Golovan ]
  * Fixed bug with LDAP support, thanks to Evgeniy Khramtsov. (Closes: #399659)
  * Documented quilt patches in patches/ directory.

 -- Torsten Werner <twerner@debian.org>  Wed, 22 Nov 2006 13:44:13 +0300

ejabberd (1.1.2-3) unstable; urgency=low

  * Add patch http_bind.diff, thanks to Matthew Harrell. (Closes: #399560)
  * Updated debian/control from debian/control.in.

 -- Torsten Werner <twerner@debian.org>  Mon, 20 Nov 2006 20:11:08 +0100

ejabberd (1.1.2-2) unstable; urgency=medium

  [ Sergei Golovan ]
  * backported bugfix for HTTP-polling from the ejabberd author

  [ Torsten Werner ]
  * Set urgency to medium.

 -- Torsten Werner <twerner@debian.org>  Sun,  8 Oct 2006 11:32:25 +0200

ejabberd (1.1.2-1) unstable; urgency=low

  [ Sergei Golovan ]
  * new upstream release
  * added spanish translation
  * removed no longer needed mod_muc_log patch 
  * added variable ERLANG_NODE, which allows to override default
    ejabberd node, to /etc/default/ejabberd file
  * changed erlang node selection by ejabberdctl (in some cases
    `hostname -s` and erlang's view of hostname are different, so
    let ejabberd_ctl module find hostname), closes: #389635
  * documented ERLANG_NODE variable in ejabberd and ejabberdctl manual
    pages
  * explicitly specify hostname in admin ACL
  * improved admin user registering in debian/postinst. installation
    is not interrupted if the user can't be registered, so, closes: #385020
  * only call ucf and deluser on purge when they are available,
    closes: #389756
  * added check for running ejabberd before backup in debian/prerm,
    closes: #389757
  * added workaround for centericq users (replaced fetaure-not-implemented
    error for service-unavailable in session management)
  * backported bugfix for shapers from ejabberd SVN

 -- Torsten Werner <twerner@debian.org>  Wed, 04 Oct 2006 08:00:46 +0400

ejabberd (1.1.1-9) unstable; urgency=low

  [ Miroslav Kure ]
  * updated czech translation

  [ Sergei Golovan ]
  * replaced 'note' type in debconf template ejabberd/nomatch by 'error'
    since it is more approppriate, closes: #388890

 -- Torsten Werner <twerner@debian.org>  Sat, 23 Sep 2006 10:42:03 +0400

ejabberd (1.1.1-8) unstable; urgency=medium

  [ Sergei Golovan ]
  * security fix! fixed vulnerability in mod_muc_log where users were
    able to insert an HTML code to MUC weblogs (fix is backported from
    ejabberd SVN)
  * added LSB keyword section to init.d script

  [ Torsten Werner ]
  * setting urgency to medium because of a securetty issue

 -- Torsten Werner <twerner@debian.org>  Thu, 14 Sep 2006 07:20:39 +0200

ejabberd (1.1.1-7) unstable; urgency=low

  * updated french translation, closes: #385811
  * bugfix in postrm

 -- Torsten Werner <twerner@debian.org>  Sun, 10 Sep 2006 02:27:19 +0200

ejabberd (1.1.1-6) unstable; urgency=low

  * add french translation, closes: #381900
  * add czech translation, closes: #380525
  * add dutch translation, closes: #381131
  * updated debconf question ejabberd/user
  * fix in debian/config
  * make a backup of the database when removing or updating the package
  * remove the actual database when purging

 -- Torsten Werner <twerner@debian.org>  Wed,  2 Aug 2006 15:20:14 +0200

ejabberd (1.1.1-5) unstable; urgency=low

  [ Torsten Werner ]
  * add target get-orig-source in debian/rules
  * updated Standards-Version to 3.7.2, no changes needed
  * use ucf for handling conffiles
  * remove old cruft not needed any more
  * use debconf to setup an admin account, partially fixes: #286110
  * make bashism explicit
  * minor cleanups in debian/rules
  * renamed some files in debian/
  * add german translation of the debconf template

  [ Sergei Golovan ]
  * use debconf to setup a served hostname
  * added russian translation of the debconf template

 -- Torsten Werner <twerner@debian.org>  Sun, 23 Jul 2006 12:12:12 +0400

ejabberd (1.1.1-4) unstable; urgency=low

  * updated Build-Depends for erlang 10.b.10
  * switched to quilt for managing upstream patches

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Jun 2006 21:06:59 +0200

ejabberd (1.1.1-3) unstable; urgency=low

  [ Sergei Golovan ]
  * moved ejabberd SSL certificate from /etc/ssl/certs to /etc/ejabberd,
    closes: #368414

  [ Torsten Werner ]
  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sat, 10 Jun 2006 18:13:34 +0200

ejabberd (1.1.1-2) experimental; urgency=low

  [ Sergei Golovan ]
  * changed Build-Depends from erlang-base-hipe to erlang-base
  * fix for lintian complaint about incorrect usage of chown

  [ Torsten Werner ]
  * making Build-Depends and erlang:Depends more strict: they are working now
    only with the latest versions of erlang

 -- Torsten Werner <twerner@debian.org>  Tue,  2 May 2006 21:00:47 +0200

ejabberd (1.1.1-1) experimental; urgency=low

  * New upstream release
  * applied changes from Sergei Golovan
  * removed src/Makefile.in from Debians SVN because the changes have been
    included upstream

 -- Torsten Werner <twerner@debian.org>  Mon,  1 May 2006 19:36:19 +0200

ejabberd (1.0.0-2) unstable; urgency=low

  * downgraded erlang-Depends to erlang-runtime, closes: #361739

 -- Torsten Werner <twerner@debian.org>  Mon, 10 Apr 2006 20:52:45 +0200

ejabberd (1.0.0-1) unstable; urgency=low

  * new upstream release, closes: #344330, #353989
    - Server-to-server Encryption for Enhanced Security: STARTTLS +
    SASL_EXTERNAL and STARTTLS + Dialback.
    - Different certificates can be defined for each virtual host.
    - Shared Roster groups support has been enhanced. New is the ability to
    add all registered users to a Shared Roster group.
    - Improved ODBC support.
    - Support for vCard storage in ODBC has been added.
    - New tool to convert an Mnesia-based installation to an ODBC compatible
    relational database.
    - Native PostgreSQL support.
    - More XHTML 1.0 Transitional compliancy work is included.
    - Documentation has been extended to cover more topics.

 -- Torsten Werner <twerner@debian.org>  Sun,  5 Mar 2006 10:20:50 +0100

ejabberd (0.9.8-1) unstable; urgency=low

  * new upstream version
  * added debian/watch
  * merged some documentation and configuration fixes from Sergei Golovan
    <sgolovan@nes.ru>

 -- Torsten Werner <twerner@debian.org>  Sat,  6 Aug 2005 19:39:59 +0200

ejabberd (0.9.1-2) unstable; urgency=low

  * some fixes to the german translation, thanks to Patrick Dreker
    <pdreker@debianforum.de> for pointing that out, closes: #317955

 -- Torsten Werner <twerner@debian.org>  Wed, 13 Jul 2005 21:53:16 +0200

ejabberd (0.9.1-1) unstable; urgency=low

  * New upstream release, closes: #309526
  * added --enable-odbc to configure
  * small fix to init script
  * thanks to Sergei Golovan <sgolovan@nes.ru> for helping

 -- Torsten Werner <twerner@debian.org>  Wed, 25 May 2005 23:55:28 +0200

ejabberd (0.9-2) unstable; urgency=low

  * smoothed the upgrade procedure from 0.7.5
  * added custom inetrc file (erlang R10 doesn't load /etc/resolv.conf when
    running in -sname mode, making resolving of SRV record impossible),
    thanks to Sergej Golovan, closes: #299533
  * updated homepage

 -- Torsten Werner <twerner@debian.org>  Wed, 18 May 2005 00:16:22 +0200

ejabberd (0.9-1) unstable; urgency=low

  * new upstream version, closes: #307652

 -- Torsten Werner <twerner@debian.org>  Tue, 10 May 2005 22:04:03 +0200

ejabberd (0.7.5-7) unstable; urgency=low

  * can build now with various erlang versions because of buggy erlang on arm

 -- Torsten Werner <twerner@debian.org>  Sat,  8 Jan 2005 23:34:27 +0100

ejabberd (0.7.5-6) unstable; urgency=low

  * changed to versioned (Build-)Depends: erlang (>= 1:10), closes: #282836
  * fixed error in init script, closes: #283205
  * scripts ejabberd and ejabberdctl export $HOME environment variable now
  * usage message for ejabberdctl updated to reflect the different call syntax
    thanks to Sergei Golovan (both changes)
  * updated the Description proposed by Andreas van Cranenburgh

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Nov 2004 22:05:28 +0100

ejabberd (0.7.5-5) unstable; urgency=low

  * renamed debian/control to debian/control.in and changed Build-Depends:
    @cdbs@

 -- Torsten Werner <twerner@debian.org>  Fri, 19 Nov 2004 23:58:01 +0100

ejabberd (0.7.5-4) unstable; urgency=low

  * switched to cdbs
  * fixed perl script and added Suggests: libunix-syslog-perl

 -- Torsten Werner <twerner@debian.org>  Thu, 18 Nov 2004 15:48:36 +0100

ejabberd (0.7.5-3) unstable; urgency=low

  * changed maintainer to myself

 -- Torsten Werner <twerner@debian.org>  Wed, 17 Nov 2004 19:23:08 +0100

ejabberd (0.7.5-2) unstable; urgency=low

  * fixed doc-base file
  * initial upload based on Sergei's work

 -- Torsten Werner <twerner@debian.org>  Wed,  3 Nov 2004 21:43:58 +0100

ejabberd (0.7.5-1) unstable; urgency=low

  * new upstream release (highlights: new tls module, starttls,
    improvements in admiin web interface, bugfixes)
  * improved init.d script

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 10 Oct 2004 21:44:25 +0400

ejabberd (0.7-2) unstable; urgency=low

  * workaround for mnesia issue in mod_last

 -- Sergei Golovan <sgolovan@nes.ru>  Wed, 14 Jul 2004 01:43:13 +0400

ejabberd (0.7-1) unstable; urgency=low

  * new upstream release

 -- Sergei Golovan <sgolovan@nes.ru>  Tue, 13 Jul 2004 20:35:29 +0400

ejabberd (0.6-alpha-20040522-4) unstable; urgency=low

  * fixed icq.localhost entry in config file
  * added example options to config file

 -- Sergei Golovan <sgolovan@nes.ru>  Thu, 17 Jun 2004 00:23:32 +0400

ejabberd (0.6-alpha-20040522-3) unstable; urgency=low

  * fixed comments in config file

 -- Sergei Golovan <sgolovan@nes.ru>  Wed, 16 Jun 2004 21:10:13 +0400

ejabberd (0.6-alpha-20040522-2) unstable; urgency=low

  * added comments to config file

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 13 Jun 2004 13:24:58 +0400

ejabberd (0.6-alpha-20040522-1) unstable; urgency=low

  * new upstream CVS snapshot
  * updated manual pade for ejabberdctl

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 30 May 2004 09:36:59 +0400

ejabberd (0.6-alpha-20040417-1) unstable; urgency=low

  * initial prerelease from upstream CVS snapshot

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 25 Apr 2004 16:39:22 +0400

